ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mahadev Konar" <maha...@apache.org>
Subject Re: Review Request 23249: deprecated messge printed during ambari-server setup
Date Mon, 07 Jul 2014 16:13:58 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/23249/#review47394
-----------------------------------------------------------

Ship it!


Ship It!

- Mahadev Konar


On July 2, 2014, 9:27 p.m., Andrew Onischuk wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/23249/
> -----------------------------------------------------------
> 
> (Updated July 2, 2014, 9:27 p.m.)
> 
> 
> Review request for Ambari and Srimanth Gunturi.
> 
> 
> Bugs: AMBARI-6368
>     https://issues.apache.org/jira/browse/AMBARI-6368
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> I was performing ambari-server setup and during jdk download, i hit ctrl-c.
> 
> I ran setup again and since I had a partial JDK file, I got a warning error (a
> good thing) saying it tried to install the jdk (based on the partial file) and
> that failed. It said do you want to download again (a good thing). I said y
> and continued.
> 
> That's all fine except when it said tried to install jdk failed it also showed
> a deprecated message. That could alarm users. See below.
> 
>     
>     
>     
>     Setup ambari-server
>     Checking SELinux...
>     SELinux status is 'disabled'
>     Ambari-server daemon is configured to run under user 'root'. Change this setting
[y/n] (n)? 
>     Adjusting ambari-server permissions and ownership...
>     Checking iptables...
>     Checking JDK...
>     [1] - Oracle JDK 1.7
>     [2] - Oracle JDK 1.6
>     [3] - Custom JDK
>     ==============================================================================
>     Enter choice (1): 
>     JDK already exists, using /var/lib/ambari-server/resources/jdk-7u45-linux-x64.tar.gz
>     Installing JDK to /usr/jdk64
>     /usr/sbin/ambari-server.py:1856: DeprecationWarning: BaseException.message has been
deprecated as of Python 2.6
>       print "Installation of JDK has failed: %s\n" % e.message
>     Installation of JDK has failed: 
>     
>     JDK found at /var/lib/ambari-server/resources/jdk-7u45-linux-x64.tar.gz. Would you
like to re-download the JDK [y/n] (y)? 
>     jd
>     
> 
> 
> Diffs
> -----
> 
>   ambari-server/src/main/python/ambari-server.py a53c648 
> 
> Diff: https://reviews.apache.org/r/23249/diff/
> 
> 
> Testing
> -------
> 
> mvn clean test
> 
> 
> Thanks,
> 
> Andrew Onischuk
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message